class SegmentationLitModule(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : NoneType
  prepare_data_per_node : bool
  allow_zero_length_dataloader_with_multiple_devices : bool
  _log_hyperparams : bool
  _dtype : int
  _device : Device
  _trainer : NoneType
  _example_input_array : Tensor
  _automatic_optimization : bool
  _strict_loading : NoneType
  _current_fx_name : NoneType
  _metric_attributes : NoneType
  _compiler_ctx : NoneType
  _fabric : NoneType
  _hparams_name : str
  model : __torch__.glow.models.segmentation.components.unet.UNet
  train_loss : __torch__.torchmetrics.aggregation.MeanMetric
  val_loss : __torch__.torchmetrics.aggregation.MeanMetric
  test_loss : __torch__.torchmetrics.aggregation.MeanMetric
  def forward(self: __torch__.glow.models.segmentation.segmentation_module.SegmentationLitModule,
    x: Tensor) -> Tensor:
    model = self.model
    y_hat = (model).forward(x, )
    _0 = torch.slice(torch.slice(y_hat), 1, 0, 2)
    _1 = torch.sigmoid(_0)
    _2 = torch.slice(torch.slice(y_hat), 1, 0, 2)
    _3 = torch.copy_(_2, _1)
    return y_hat
