class MeanMetric(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : NoneType
  _device : Device
  compute_on_cpu : bool
  dist_sync_on_step : bool
  process_group : NoneType
  dist_sync_fn : NoneType
  sync_on_compute : bool
  compute_with_cache : bool
  _computed : NoneType
  _forward_cache : NoneType
  _update_count : int
  _to_sync : bool
  _should_unsync : bool
  _enable_grad : bool
  _dtype_convert : bool
  _defaults : Dict[str, Tensor]
  _persistent : Dict[str, bool]
  _is_synced : bool
  _cache : NoneType
  nan_strategy : str
  mean_value : Tensor
  state_name : str
  weight : Tensor
  def __device_getter(self: __torch__.torchmetrics.aggregation.MeanMetric) -> Device:
    return self._device
  def __update_called_getter(self: __torch__.torchmetrics.aggregation.MeanMetric) -> bool:
    _update_count = self._update_count
    return torch.gt(_update_count, 0)
  def __update_count_getter(self: __torch__.torchmetrics.aggregation.MeanMetric) -> int:
    return self._update_count
