def group_norm(input: Tensor,
    num_groups: int,
    weight: Optional[Tensor]=None,
    bias: Optional[Tensor]=None,
    eps: float=1.0000000000000001e-05) -> Tensor:
  _0 = "Expected at least 2 dimensions for input tensor but received {}"
  _1 = __torch__.torch.nn.functional._verify_batch_size
  if torch.lt(torch.dim(input), 2):
    ops.prim.RaiseException(torch.format(_0, torch.dim(input)), "builtins.RuntimeError")
  else:
    pass
  _2 = torch.mul(torch.size(input, 0), torch.size(input, 1))
  _3 = [torch.floordiv(_2, num_groups), num_groups]
  _4 = torch.list(torch.slice(torch.size(input), 2))
  _5 = _1(torch.add(_3, _4), )
  _6 = torch.group_norm(input, num_groups, weight, bias, eps)
  return _6
def relu(input: Tensor,
    inplace: bool=False) -> Tensor:
  if inplace:
    result = torch.relu_(input)
  else:
    result = torch.relu(input)
  return result
def _max_pool3d(input: Tensor,
    kernel_size: List[int],
    stride: Optional[List[int]]=None,
    padding: List[int]=[0, 0, 0],
    dilation: List[int]=[1, 1, 1],
    ceil_mode: bool=False,
    return_indices: bool=False) -> Tensor:
  if torch.__is__(stride, None):
    stride0 = annotate(List[int], [])
  else:
    stride0 = unchecked_cast(List[int], stride)
  _7 = torch.max_pool3d(input, kernel_size, stride0, padding, dilation, ceil_mode)
  return _7
def _verify_batch_size(size: List[int]) -> NoneType:
  _8 = "Expected more than 1 value per channel when training, got input size {}"
  size_prods = size[0]
  size_prods0 = size_prods
  for i in range(torch.sub(torch.len(size), 2)):
    size_prods1 = torch.mul(size_prods0, size[torch.add(i, 2)])
    size_prods0 = size_prods1
  if torch.eq(size_prods0, 1):
    ops.prim.RaiseException(torch.format(_8, size), "builtins.ValueError")
  else:
    pass
  return None
def adaptive_avg_pool2d(input: Tensor,
    output_size: List[int]) -> Tensor:
  _9 = torch.gt(torch.len(torch.size(input)), torch.len(output_size))
  if _9:
    pass
  else:
    ops.prim.RaiseException("AssertionError: ")
  _10 = torch.adaptive_avg_pool2d(input, output_size)
  return _10
def adaptive_avg_pool3d(input: Tensor,
    output_size: List[int]) -> Tensor:
  _11 = torch.gt(torch.len(torch.size(input)), torch.len(output_size))
  if _11:
    pass
  else:
    ops.prim.RaiseException("AssertionError: ")
  _12 = torch.adaptive_avg_pool3d(input, output_size)
  return _12
